[Laboratory] incompatible with macosx 10.11

Description: Report bugs and ask questions regarding PGE here.
Forum rules: Here you can ask any question related to PGE Project components:


Any questions related to LunaLUA project please ask HERE (LunaLUA subsection)
Any questions related to SMBX-38A (1.4.x) Chinese project please ask HERE (SMBX-38A subsection)
Moderators: Semi-moderatos, Moderators

+KZ
Topic author, Nice citizen
Nice citizen
Avatar
+KZ
Topic author, Nice citizen
Nice citizen
Reputation: -2
Posts: 14
Joined: 13 Dec 2018

Post #1by +KZ » 15 Jul 2019, 2:54

hello, I just want to inform you that all the applications (except for the engine) in the pge download are no longer compatible for mac osx 10.11, I saw this as an alternative to play smbx. in the laboratory download, it says that the minimum is 10.11, but it is only for the engine, the rest is at least 10.12, can not the compatibility with 10.11 return?

thanks

:T
:ɔ ଇ ଈ چ :Ɖ :ɛ

Wohlstand M
Lead Developer
Lead Developer
Avatar
Wohlstand M
Lead Developer
Lead Developer
Age: 27
Reputation: 385
Posts: 1420
Joined: 15 Feb 2014
Location: Moscow, Russia
Website Skype YouTube

Post #2by Wohlstand » 15 Jul 2019, 9:23

Since I have changed Qt toolchain into Qt 5.12, it supports 10.12 minimum version https://doc-snapshots.qt.io/qt5-5.12/macos.html . Engine doesn't uses Qt: it uses SDL2 only. Editor, Calibrator, Maintainer, MusPlayer are using Qt, and they are was affected.

To get back support for older macOS versions I need to make using of older Qt toolchains, that will need some time to let me compile from source the compatible static Qt toolchain...

Added after 2 minutes 37 seconds:
Okay, to avoid confusion, I have changed minimal version to 10.12 on Laboratory page. If you really need to use old ElCapitan and you can't upgrade your system, I'll try to build older Qt toolchain and will produce a separate build that will support older macOS versions. ;-)

+KZ
Topic author, Nice citizen
Nice citizen
Avatar
+KZ
Topic author, Nice citizen
Nice citizen
Reputation: -2
Posts: 14
Joined: 13 Dec 2018

Post #3by +KZ » 20 Jul 2019, 20:18

yes please :shout:
:ɔ ଇ ଈ چ :Ɖ :ɛ


Return to “Troubleshooting”

Who is online (over the past 5 minutes)

Users browsing this forum: 5 guests